﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Docentric.Word;
using System.Reflection;
using System.IO;
using System.Xml.Linq;
using System.Xml.XPath;



namespace DocentricToolkitExample
{
	class Program
	{
		static void Main(string[] args)
		{
			string appPath = Path.Combine(Path.GetDirectoryName(Assembly.GetExecutingAssembly().Location), @"..\..\");

			// Load the template.
			string templateFilePath = Path.Combine(appPath, "Template.docx");
			byte[] templateContent = File.ReadAllBytes(templateFilePath);

			// Load images xml file.
			string imagesXmlFilePath = Path.Combine(appPath, "Images.xml");
			XElement imagesXElement = XElement.Load(imagesXmlFilePath);

			// Load books xml file.
			string booksXmlFilePath = Path.Combine(appPath, "Books.xml");
			XElement booksXElement = XElement.Load(booksXmlFilePath);

			DocumentGenerator dg = new DocumentGenerator(imagesXElement);
			dg.SetNamedDataSourceValue("Books", booksXElement);
			var result = dg.GenerateDocument(templateFilePath, Path.Combine(appPath, "GeneratedDocument.docx"));
		}
	}
}
